package com.tanpu.community.api.beans.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.Map;

@Data
public class CreateThemeReq {

    private static final long serialVersionUID = 1L;


    @NotEmpty(message = "类型不能为空")
    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题")
    private Integer themeType;


    @ApiModelProperty(value = "标题")
    private String title;

    @NotEmpty(message = "内容不能为空")
    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "所属的话题id")
    private String topicId;

    @ApiModelProperty(value = "被转发的主题，不是转发则为空")
    private String formerThemeId;

    @ApiModelProperty("附件，key是类型：1:产品 2：直播 3：短视频 4：课程，value是对应id，（注：course需要用逗号拼接‘courseId,package_id’）")
    private Map<String,String> attachment;

}
